summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Vikstrom2020-05-12 05:28:05 +0000
committerSimon Vikstrom2020-05-12 05:28:05 +0000
commit5dee2b69de1b979e9c3c7eb5a13f2817f94d9cf7 (patch)
tree4b0830077bdafe43dfd1fcd36dc69f8ba5b85205
downloadaur-5dee2b69de1b979e9c3c7eb5a13f2817f94d9cf7.tar.gz
Initial build of the cinc-client
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD29
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..79b4485f809
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,12 @@
+pkgbase = cinc
+ pkgdesc = The Cinc installation package includes everything you need to start converging your machines.
+ pkgver = 16.0.287
+ pkgrel = 1
+ url = https://cinc.sh/download/
+ arch = x86_64
+ license = Apache
+ source = http://downloads.cinc.sh/files/stable/cinc/16.0.287/ubuntu/20.04/cinc_16.0.287-1_amd64.deb
+ sha256sums = 98aad2e4a30377c71b59147c0f90b2904505cf7c70591d868ea02003f9d8e9d5
+
+pkgname = cinc
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a1bec43f462
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Simon Vikstrom <aur@devsn.se>
+
+pkgname=cinc
+pkgver=16.0.287
+pkgrel=1
+_ubuntuver=xenial
+pkgdesc="The Cinc installation package includes everything you need to start converging your machines."
+arch=('x86_64')
+url="https://cinc.sh/download/"
+license=('Apache')
+depends=()
+source=("http://downloads.cinc.sh/files/stable/cinc/${pkgver}/ubuntu/20.04/cinc_${pkgver}-1_amd64.deb")
+sha256sums=('98aad2e4a30377c71b59147c0f90b2904505cf7c70591d868ea02003f9d8e9d5')
+
+package() {
+ cd "$srcdir"
+ bsdtar -xf data.tar.xz -C "$pkgdir"
+
+ # link executables
+ binaries="cinc-apply cinc-shell knife cinc-client cinc-solo ohai"
+
+ mkdir -p $pkgdir/usr/bin
+
+ for binary in $binaries; do
+ ln -s /opt/cinc/bin/$binary $pkgdir/usr/bin/ || error_exit "Cannot link $binary to /usr/bin"
+ done
+ chown -Rh 0:0 $pkgdir
+ chmod 755 $pkgdir/opt
+}